package org.wildfly.swarm.config;

import org.wildfly.swarm.config.Datasources;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface DatasourcesConsumer<T extends Datasources<T>> {

	/**
	 * Configure a pre-constructed instance of Datasources resource
	 * 
	 * @parameter Instance of Datasources to configure
	 * @return nothing
	 */
	void accept(T value);

	default DatasourcesConsumer<T> andThen(DatasourcesConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}