package org.wildfly.swarm.config;

import org.wildfly.swarm.config.Infinispan;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface InfinispanConsumer<T extends Infinispan<T>> {

	/**
	 * Configure a pre-constructed instance of Infinispan resource
	 * 
	 * @parameter Instance of Infinispan to configure
	 * @return nothing
	 */
	void accept(T value);

	default InfinispanConsumer<T> andThen(InfinispanConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}