package org.wildfly.swarm.config;

import org.wildfly.swarm.config.Remoting;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface RemotingConsumer<T extends Remoting<T>> {

	/**
	 * Configure a pre-constructed instance of Remoting resource
	 * 
	 * @parameter Instance of Remoting to configure
	 * @return nothing
	 */
	void accept(T value);

	default RemotingConsumer<T> andThen(RemotingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}