package org.wildfly.swarm.config;

import org.wildfly.swarm.config.Security;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface SecurityConsumer<T extends Security<T>> {

	/**
	 * Configure a pre-constructed instance of Security resource
	 * 
	 * @parameter Instance of Security to configure
	 * @return nothing
	 */
	void accept(T value);

	default SecurityConsumer<T> andThen(SecurityConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}