package org.wildfly.swarm.config.datasources;

import org.wildfly.swarm.config.datasources.DataSource;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface DataSourceConsumer<T extends DataSource<T>> {

	/**
	 * Configure a pre-constructed instance of DataSource resource
	 * 
	 * @parameter Instance of DataSource to configure
	 * @return nothing
	 */
	void accept(T value);

	default DataSourceConsumer<T> andThen(DataSourceConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}