package org.wildfly.swarm.config.datasources;

import org.wildfly.swarm.config.datasources.XADataSource;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface XADataSourceConsumer<T extends XADataSource<T>> {

	/**
	 * Configure a pre-constructed instance of XADataSource resource
	 * 
	 * @parameter Instance of XADataSource to configure
	 * @return nothing
	 */
	void accept(T value);

	default XADataSourceConsumer<T> andThen(XADataSourceConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}