package org.wildfly.swarm.config.datasources.xa_data_source;

import org.wildfly.swarm.config.datasources.xa_data_source.XADatasourceProperties;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface XADatasourcePropertiesConsumer<T extends XADatasourceProperties<T>> {

	/**
	 * Configure a pre-constructed instance of XADatasourceProperties resource
	 * 
	 * @parameter Instance of XADatasourceProperties to configure
	 * @return nothing
	 */
	void accept(T value);

	default XADatasourcePropertiesConsumer<T> andThen(
			XADatasourcePropertiesConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}