package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.AsyncService;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface AsyncServiceConsumer<T extends AsyncService<T>> {

	/**
	 * Configure a pre-constructed instance of AsyncService resource
	 * 
	 * @parameter Instance of AsyncService to configure
	 * @return nothing
	 */
	void accept(T value);

	default AsyncServiceConsumer<T> andThen(AsyncServiceConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}