package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.ChannelCreationOptions;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ChannelCreationOptionsConsumer<T extends ChannelCreationOptions<T>> {

	/**
	 * Configure a pre-constructed instance of ChannelCreationOptions resource
	 * 
	 * @parameter Instance of ChannelCreationOptions to configure
	 * @return nothing
	 */
	void accept(T value);

	default ChannelCreationOptionsConsumer<T> andThen(
			ChannelCreationOptionsConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}