package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.ClusterPassivationStore;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ClusterPassivationStoreConsumer<T extends ClusterPassivationStore<T>> {

	/**
	 * Configure a pre-constructed instance of ClusterPassivationStore resource
	 * 
	 * @parameter Instance of ClusterPassivationStore to configure
	 * @return nothing
	 */
	void accept(T value);

	default ClusterPassivationStoreConsumer<T> andThen(
			ClusterPassivationStoreConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}