package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.IIOPService;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface IIOPServiceConsumer<T extends IIOPService<T>> {

	/**
	 * Configure a pre-constructed instance of IIOPService resource
	 * 
	 * @parameter Instance of IIOPService to configure
	 * @return nothing
	 */
	void accept(T value);

	default IIOPServiceConsumer<T> andThen(IIOPServiceConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}