package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.MDBDeliveryGroup;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface MDBDeliveryGroupConsumer<T extends MDBDeliveryGroup<T>> {

	/**
	 * Configure a pre-constructed instance of MDBDeliveryGroup resource
	 * 
	 * @parameter Instance of MDBDeliveryGroup to configure
	 * @return nothing
	 */
	void accept(T value);

	default MDBDeliveryGroupConsumer<T> andThen(
			MDBDeliveryGroupConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}