package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.ThreadPool;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ThreadPoolConsumer<T extends ThreadPool<T>> {

	/**
	 * Configure a pre-constructed instance of ThreadPool resource
	 * 
	 * @parameter Instance of ThreadPool to configure
	 * @return nothing
	 */
	void accept(T value);

	default ThreadPoolConsumer<T> andThen(ThreadPoolConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}