package org.wildfly.swarm.config.ejb3;

import org.wildfly.swarm.config.ejb3.TimerService;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface TimerServiceConsumer<T extends TimerService<T>> {

	/**
	 * Configure a pre-constructed instance of TimerService resource
	 * 
	 * @parameter Instance of TimerService to configure
	 * @return nothing
	 */
	void accept(T value);

	default TimerServiceConsumer<T> andThen(TimerServiceConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}