package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.AsyncOperationsThreadPool;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface AsyncOperationsThreadPoolConsumer<T extends AsyncOperationsThreadPool<T>> {

	/**
	 * Configure a pre-constructed instance of AsyncOperationsThreadPool
	 * resource
	 * 
	 * @parameter Instance of AsyncOperationsThreadPool to configure
	 * @return nothing
	 */
	void accept(T value);

	default AsyncOperationsThreadPoolConsumer<T> andThen(
			AsyncOperationsThreadPoolConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}