package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.BackupsComponent;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface BackupsComponentConsumer<T extends BackupsComponent<T>> {

	/**
	 * Configure a pre-constructed instance of BackupsComponent resource
	 * 
	 * @parameter Instance of BackupsComponent to configure
	 * @return nothing
	 */
	void accept(T value);

	default BackupsComponentConsumer<T> andThen(
			BackupsComponentConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}