package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.BinaryJDBCStore;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface BinaryJDBCStoreConsumer<T extends BinaryJDBCStore<T>> {

	/**
	 * Configure a pre-constructed instance of BinaryJDBCStore resource
	 * 
	 * @parameter Instance of BinaryJDBCStore to configure
	 * @return nothing
	 */
	void accept(T value);

	default BinaryJDBCStoreConsumer<T> andThen(BinaryJDBCStoreConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}