package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.ExpirationThreadPool;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ExpirationThreadPoolConsumer<T extends ExpirationThreadPool<T>> {

	/**
	 * Configure a pre-constructed instance of ExpirationThreadPool resource
	 * 
	 * @parameter Instance of ExpirationThreadPool to configure
	 * @return nothing
	 */
	void accept(T value);

	default ExpirationThreadPoolConsumer<T> andThen(
			ExpirationThreadPoolConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}