package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.LocalCache;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface LocalCacheConsumer<T extends LocalCache<T>> {

	/**
	 * Configure a pre-constructed instance of LocalCache resource
	 * 
	 * @parameter Instance of LocalCache to configure
	 * @return nothing
	 */
	void accept(T value);

	default LocalCacheConsumer<T> andThen(LocalCacheConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}