package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.RemoteCommandThreadPool;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface RemoteCommandThreadPoolConsumer<T extends RemoteCommandThreadPool<T>> {

	/**
	 * Configure a pre-constructed instance of RemoteCommandThreadPool resource
	 * 
	 * @parameter Instance of RemoteCommandThreadPool to configure
	 * @return nothing
	 */
	void accept(T value);

	default RemoteCommandThreadPoolConsumer<T> andThen(
			RemoteCommandThreadPoolConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}