package org.wildfly.swarm.config.infinispan.cache_container;

import org.wildfly.swarm.config.infinispan.cache_container.StateTransferComponent;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface StateTransferComponentConsumer<T extends StateTransferComponent<T>> {

	/**
	 * Configure a pre-constructed instance of StateTransferComponent resource
	 * 
	 * @parameter Instance of StateTransferComponent to configure
	 * @return nothing
	 */
	void accept(T value);

	default StateTransferComponentConsumer<T> andThen(
			StateTransferComponentConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}