package org.wildfly.swarm.config.io.worker;

import org.wildfly.swarm.config.io.worker.Server;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ServerConsumer<T extends Server<T>> {

	/**
	 * Configure a pre-constructed instance of Server resource
	 * 
	 * @parameter Instance of Server to configure
	 * @return nothing
	 */
	void accept(T value);

	default ServerConsumer<T> andThen(ServerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}