package org.wildfly.swarm.config.jca;

import org.wildfly.swarm.config.jca.CachedConnectionManager;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface CachedConnectionManagerConsumer<T extends CachedConnectionManager<T>> {

	/**
	 * Configure a pre-constructed instance of CachedConnectionManager resource
	 * 
	 * @parameter Instance of CachedConnectionManager to configure
	 * @return nothing
	 */
	void accept(T value);

	default CachedConnectionManagerConsumer<T> andThen(
			CachedConnectionManagerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}