package org.wildfly.swarm.config.jca;

import org.wildfly.swarm.config.jca.DistributedWorkmanager;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface DistributedWorkmanagerConsumer<T extends DistributedWorkmanager<T>> {

	/**
	 * Configure a pre-constructed instance of DistributedWorkmanager resource
	 * 
	 * @parameter Instance of DistributedWorkmanager to configure
	 * @return nothing
	 */
	void accept(T value);

	default DistributedWorkmanagerConsumer<T> andThen(
			DistributedWorkmanagerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}