package org.wildfly.swarm.config.jca;

import org.wildfly.swarm.config.jca.ShortRunningThreads;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ShortRunningThreadsConsumer<T extends ShortRunningThreads<T>> {

	/**
	 * Configure a pre-constructed instance of ShortRunningThreads resource
	 * 
	 * @parameter Instance of ShortRunningThreads to configure
	 * @return nothing
	 */
	void accept(T value);

	default ShortRunningThreadsConsumer<T> andThen(
			ShortRunningThreadsConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}