package org.wildfly.swarm.config.logging;

import org.wildfly.swarm.config.logging.PatternFormatter;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface PatternFormatterConsumer<T extends PatternFormatter<T>> {

	/**
	 * Configure a pre-constructed instance of PatternFormatter resource
	 * 
	 * @parameter Instance of PatternFormatter to configure
	 * @return nothing
	 */
	void accept(T value);

	default PatternFormatterConsumer<T> andThen(
			PatternFormatterConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}