package org.wildfly.swarm.config.mail.mail_session;

import org.wildfly.swarm.config.mail.mail_session.Custom;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface CustomConsumer<T extends Custom<T>> {

	/**
	 * Configure a pre-constructed instance of Custom resource
	 * 
	 * @parameter Instance of Custom to configure
	 * @return nothing
	 */
	void accept(T value);

	default CustomConsumer<T> andThen(CustomConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}