package org.wildfly.swarm.config.mail.mail_session;

import org.wildfly.swarm.config.mail.mail_session.SMTPServer;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface SMTPServerConsumer<T extends SMTPServer<T>> {

	/**
	 * Configure a pre-constructed instance of SMTPServer resource
	 * 
	 * @parameter Instance of SMTPServer to configure
	 * @return nothing
	 */
	void accept(T value);

	default SMTPServerConsumer<T> andThen(SMTPServerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}