package org.wildfly.swarm.config.messaging.activemq;

import org.wildfly.swarm.config.messaging.activemq.HTTPConnector;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface HTTPConnectorConsumer<T extends HTTPConnector<T>> {

	/**
	 * Configure a pre-constructed instance of HTTPConnector resource
	 * 
	 * @parameter Instance of HTTPConnector to configure
	 * @return nothing
	 */
	void accept(T value);

	default HTTPConnectorConsumer<T> andThen(HTTPConnectorConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}