package org.wildfly.swarm.config.messaging.activemq.server;

import org.wildfly.swarm.config.messaging.activemq.server.AddressSetting;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface AddressSettingConsumer<T extends AddressSetting<T>> {

	/**
	 * Configure a pre-constructed instance of AddressSetting resource
	 * 
	 * @parameter Instance of AddressSetting to configure
	 * @return nothing
	 */
	void accept(T value);

	default AddressSettingConsumer<T> andThen(AddressSettingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}