package org.wildfly.swarm.config.messaging.activemq.server;

import org.wildfly.swarm.config.messaging.activemq.server.LargeMessagesDirectoryPath;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface LargeMessagesDirectoryPathConsumer<T extends LargeMessagesDirectoryPath<T>> {

	/**
	 * Configure a pre-constructed instance of LargeMessagesDirectoryPath
	 * resource
	 * 
	 * @parameter Instance of LargeMessagesDirectoryPath to configure
	 * @return nothing
	 */
	void accept(T value);

	default LargeMessagesDirectoryPathConsumer<T> andThen(
			LargeMessagesDirectoryPathConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}