package org.wildfly.swarm.config.naming;

import org.wildfly.swarm.config.naming.Binding;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface BindingConsumer<T extends Binding<T>> {

	/**
	 * Configure a pre-constructed instance of Binding resource
	 * 
	 * @parameter Instance of Binding to configure
	 * @return nothing
	 */
	void accept(T value);

	default BindingConsumer<T> andThen(BindingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}