package org.wildfly.swarm.config.remoting;

import org.wildfly.swarm.config.remoting.EndpointConfiguration;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface EndpointConfigurationConsumer<T extends EndpointConfiguration<T>> {

	/**
	 * Configure a pre-constructed instance of EndpointConfiguration resource
	 * 
	 * @parameter Instance of EndpointConfiguration to configure
	 * @return nothing
	 */
	void accept(T value);

	default EndpointConfigurationConsumer<T> andThen(
			EndpointConfigurationConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}