package org.wildfly.swarm.config.remoting;

import org.wildfly.swarm.config.remoting.LocalOutboundConnection;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface LocalOutboundConnectionConsumer<T extends LocalOutboundConnection<T>> {

	/**
	 * Configure a pre-constructed instance of LocalOutboundConnection resource
	 * 
	 * @parameter Instance of LocalOutboundConnection to configure
	 * @return nothing
	 */
	void accept(T value);

	default LocalOutboundConnectionConsumer<T> andThen(
			LocalOutboundConnectionConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}