package org.wildfly.swarm.config.security.security_domain;

import org.wildfly.swarm.config.security.security_domain.ClassicACL;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ClassicACLConsumer<T extends ClassicACL<T>> {

	/**
	 * Configure a pre-constructed instance of ClassicACL resource
	 * 
	 * @parameter Instance of ClassicACL to configure
	 * @return nothing
	 */
	void accept(T value);

	default ClassicACLConsumer<T> andThen(ClassicACLConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}