package org.wildfly.swarm.config.security.security_domain;

import org.wildfly.swarm.config.security.security_domain.ClassicAuthentication;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ClassicAuthenticationConsumer<T extends ClassicAuthentication<T>> {

	/**
	 * Configure a pre-constructed instance of ClassicAuthentication resource
	 * 
	 * @parameter Instance of ClassicAuthentication to configure
	 * @return nothing
	 */
	void accept(T value);

	default ClassicAuthenticationConsumer<T> andThen(
			ClassicAuthenticationConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}