package org.wildfly.swarm.config.security.security_domain;

import org.wildfly.swarm.config.security.security_domain.ClassicIdentityTrust;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ClassicIdentityTrustConsumer<T extends ClassicIdentityTrust<T>> {

	/**
	 * Configure a pre-constructed instance of ClassicIdentityTrust resource
	 * 
	 * @parameter Instance of ClassicIdentityTrust to configure
	 * @return nothing
	 */
	void accept(T value);

	default ClassicIdentityTrustConsumer<T> andThen(
			ClassicIdentityTrustConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}