package org.wildfly.swarm.config.security.security_domain;

import org.wildfly.swarm.config.security.security_domain.ClassicJSSE;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ClassicJSSEConsumer<T extends ClassicJSSE<T>> {

	/**
	 * Configure a pre-constructed instance of ClassicJSSE resource
	 * 
	 * @parameter Instance of ClassicJSSE to configure
	 * @return nothing
	 */
	void accept(T value);

	default ClassicJSSEConsumer<T> andThen(ClassicJSSEConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}