package org.wildfly.swarm.config.security.security_domain.acl;

import org.wildfly.swarm.config.security.security_domain.acl.ACLModule;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ACLModuleConsumer<T extends ACLModule<T>> {

	/**
	 * Configure a pre-constructed instance of ACLModule resource
	 * 
	 * @parameter Instance of ACLModule to configure
	 * @return nothing
	 */
	void accept(T value);

	default ACLModuleConsumer<T> andThen(ACLModuleConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}