package org.wildfly.swarm.config.security.security_domain.authentication;

import org.wildfly.swarm.config.security.security_domain.authentication.LoginModuleStack;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface LoginModuleStackConsumer<T extends LoginModuleStack<T>> {

	/**
	 * Configure a pre-constructed instance of LoginModuleStack resource
	 * 
	 * @parameter Instance of LoginModuleStack to configure
	 * @return nothing
	 */
	void accept(T value);

	default LoginModuleStackConsumer<T> andThen(
			LoginModuleStackConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}