package org.wildfly.swarm.config.transactions;

import org.wildfly.swarm.config.transactions.LogStore;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface LogStoreConsumer<T extends LogStore<T>> {

	/**
	 * Configure a pre-constructed instance of LogStore resource
	 * 
	 * @parameter Instance of LogStore to configure
	 * @return nothing
	 */
	void accept(T value);

	default LogStoreConsumer<T> andThen(LogStoreConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}