package org.wildfly.swarm.config.undertow.configuration;

import org.wildfly.swarm.config.undertow.configuration.ResponseHeader;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface ResponseHeaderConsumer<T extends ResponseHeader<T>> {

	/**
	 * Configure a pre-constructed instance of ResponseHeader resource
	 * 
	 * @parameter Instance of ResponseHeader to configure
	 * @return nothing
	 */
	void accept(T value);

	default ResponseHeaderConsumer<T> andThen(ResponseHeaderConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}