package org.wildfly.swarm.config.undertow.server;

import org.wildfly.swarm.config.undertow.server.HTTPListener;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface HTTPListenerConsumer<T extends HTTPListener<T>> {

	/**
	 * Configure a pre-constructed instance of HTTPListener resource
	 * 
	 * @parameter Instance of HTTPListener to configure
	 * @return nothing
	 */
	void accept(T value);

	default HTTPListenerConsumer<T> andThen(HTTPListenerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}