package org.wildfly.swarm.config.undertow.server;

import org.wildfly.swarm.config.undertow.server.HttpsListener;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface HttpsListenerConsumer<T extends HttpsListener<T>> {

	/**
	 * Configure a pre-constructed instance of HttpsListener resource
	 * 
	 * @parameter Instance of HttpsListener to configure
	 * @return nothing
	 */
	void accept(T value);

	default HttpsListenerConsumer<T> andThen(HttpsListenerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}