package org.wildfly.swarm.config.undertow.server.host;

import org.wildfly.swarm.config.undertow.server.host.FilterRef;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface FilterRefConsumer<T extends FilterRef<T>> {

	/**
	 * Configure a pre-constructed instance of FilterRef resource
	 * 
	 * @parameter Instance of FilterRef to configure
	 * @return nothing
	 */
	void accept(T value);

	default FilterRefConsumer<T> andThen(FilterRefConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}