package org.wildfly.swarm.config.undertow.server.host;

import org.wildfly.swarm.config.undertow.server.host.Location;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface LocationConsumer<T extends Location<T>> {

	/**
	 * Configure a pre-constructed instance of Location resource
	 * 
	 * @parameter Instance of Location to configure
	 * @return nothing
	 */
	void accept(T value);

	default LocationConsumer<T> andThen(LocationConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}