package org.wildfly.swarm.config.undertow.server.host;

import org.wildfly.swarm.config.undertow.server.host.SingleSignOnSetting;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface SingleSignOnSettingConsumer<T extends SingleSignOnSetting<T>> {

	/**
	 * Configure a pre-constructed instance of SingleSignOnSetting resource
	 * 
	 * @parameter Instance of SingleSignOnSetting to configure
	 * @return nothing
	 */
	void accept(T value);

	default SingleSignOnSettingConsumer<T> andThen(
			SingleSignOnSettingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}