package org.wildfly.swarm.config.undertow.servlet_container;

import org.wildfly.swarm.config.undertow.servlet_container.JSPSetting;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface JSPSettingConsumer<T extends JSPSetting<T>> {

	/**
	 * Configure a pre-constructed instance of JSPSetting resource
	 * 
	 * @parameter Instance of JSPSetting to configure
	 * @return nothing
	 */
	void accept(T value);

	default JSPSettingConsumer<T> andThen(JSPSettingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}