package org.wildfly.swarm.config.undertow.servlet_container;

import org.wildfly.swarm.config.undertow.servlet_container.PersistentSessionsSetting;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface PersistentSessionsSettingConsumer<T extends PersistentSessionsSetting<T>> {

	/**
	 * Configure a pre-constructed instance of PersistentSessionsSetting
	 * resource
	 * 
	 * @parameter Instance of PersistentSessionsSetting to configure
	 * @return nothing
	 */
	void accept(T value);

	default PersistentSessionsSettingConsumer<T> andThen(
			PersistentSessionsSettingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}