package org.wildfly.swarm.config.undertow.servlet_container;

import org.wildfly.swarm.config.undertow.servlet_container.WebsocketsSetting;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface WebsocketsSettingConsumer<T extends WebsocketsSetting<T>> {

	/**
	 * Configure a pre-constructed instance of WebsocketsSetting resource
	 * 
	 * @parameter Instance of WebsocketsSetting to configure
	 * @return nothing
	 */
	void accept(T value);

	default WebsocketsSettingConsumer<T> andThen(
			WebsocketsSettingConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}